ros-humble-pmb2-gazebo (4.7.0-1jammy) jammy; urgency=high

  * add use_sim_time to robot_info
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 07 May 2025 00:00:00 -0000

ros-humble-pmb2-gazebo (4.6.0-1jammy) jammy; urgency=high

  * rviz use_sim_time
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 06 May 2025 00:00:00 -0000

ros-humble-pmb2-gazebo (4.5.2-1jammy) jammy; urgency=high

  * fix deps
  * Contributors: andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 05 May 2025 00:00:00 -0000

ros-humble-pmb2-gazebo (4.5.1-1jammy) jammy; urgency=high

  * rviz_typo_pluci_nav
  * Contributors: salvatorepiccolo

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 09 Apr 2025 00:00:00 -0000

ros-humble-pmb2-gazebo (4.5.0-1jammy) jammy; urgency=high

  * store robot_info in tmp
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 03 Apr 2025 00:00:00 -0000

ros-humble-pmb2-gazebo (4.4.0-1jammy) jammy; urgency=high

  * adopt pal_configuration
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 03 Apr 2025 00:00:00 -0000

ros-humble-pmb2-gazebo (4.3.0-1jammy) jammy; urgency=high

  * support camera_model argument
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 22 Jan 2025 00:00:00 -0000

ros-humble-pmb2-gazebo (4.2.0-1jammy) jammy; urgency=high

  * always start docking with adv navigation
  * use docking arg
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 02 Dec 2024 00:00:00 -0000

ros-humble-pmb2-gazebo (4.1.0-1jammy) jammy; urgency=high

  * added advanced nav launch arg to navigation
  * Contributors: martinaannicelli

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 17 Oct 2024 00:00:00 -0000

ros-humble-pmb2-gazebo (4.0.16-1jammy) jammy; urgency=high

  * added advanced navigation
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 08 Jul 2024 00:00:00 -0000

ros-humble-pmb2-gazebo (4.0.15-1jammy) jammy; urgency=high

  * Add slam argument for navigation
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 05 Jul 2024 00:00:00 -0000

ros-humble-pmb2-gazebo (4.0.14-1jammy) jammy; urgency=high

  * Change courier sensors to add-on-module
  * Contributors: David ter Kuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 28 Jun 2024 00:00:00 -0000

ros-humble-pmb2-gazebo (4.0.13-1jammy) jammy; urgency=high

  * Change import for launch args
  * Contributors: David ter Kuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 26 Jun 2024 00:00:00 -0000

ros-humble-pmb2-gazebo (4.0.12-1jammy) jammy; urgency=high

  * Fix linters
  * Remove unused dependencies
  * Remove unused worlds, models and media'
  * Add public sim check
  * Contributors: David ter Kuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 25 Jun 2024 00:00:00 -0000

ros-humble-pmb2-gazebo (4.0.11-1jammy) jammy; urgency=high

  * courier_rgdb_sensor renamed
  * Launch std
  * Contributors: Oscar, oscarmartinez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 18 Jun 2024 00:00:00 -0000

ros-humble-pmb2-gazebo (4.0.10-1jammy) jammy; urgency=high

  * added pose configuration in spawn entity
  * added pose conifiguration in spawn_entity args
  * Contributors: martinaannicelli

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 08 May 2024 00:00:00 -0000

ros-humble-pmb2-gazebo (4.0.9-1jammy) jammy; urgency=high

  * Merge branch 'feat/ros2-pipelines' into 'humble-devel'
    navigation pipeline integration for private sim
    See merge request robots/pmb2_simulation!68
  * cosmetic
  * update readme and cosmetic
  * removed slam arg
  * linters
  * navigation pipeline integration for private sim
  * Contributors: andreacapodacqua, antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 11 Apr 2024 00:00:00 -0000

ros-humble-pmb2-gazebo (4.0.8-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 05 Feb 2024 00:00:00 -0000

ros-humble-pmb2-gazebo (4.0.7-1jammy) jammy; urgency=high

  * Merge branch 'feat/register-components' into 'humble-devel'
    use single entry point for navigation
    See merge request robots/pmb2_simulation!66
  * use single entry point for navigation
  * Merge branch 'abr/fix/world-name' into 'humble-devel'
    moving world_name to pal_gazebo_worlds
    See merge request robots/pmb2_simulation!65
  * moving world_name to pal_gazebo_worlds
  * Contributors: Noel Jimenez, antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 02 Feb 2024 00:00:00 -0000

ros-humble-pmb2-gazebo (4.0.6-1jammy) jammy; urgency=high

  * Add website tag
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 14 Nov 2023 00:00:00 -0000

ros-humble-pmb2-gazebo (4.0.5-1jammy) jammy; urgency=high

  * Set use_sim_time true
  * Remove pal flags dependency
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 13 Nov 2023 00:00:00 -0000

ros-humble-pmb2-gazebo (4.0.4-1jammy) jammy; urgency=high

  * Merge branch 'fix/set-is-robot' into 'humble-devel'
    Use a different navigation launcher for simulation
    See merge request robots/pmb2_simulation!60
  * use pmb2_sim_navigation
  * setting is_robot argument for simulation
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 16 Jun 2023 00:00:00 -0000

ros-humble-pmb2-gazebo (4.0.3-1jammy) jammy; urgency=high

  * add missing gazebo_plugins dependencies
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-humble-pmb2-gazebo (4.0.2-1jammy) jammy; urgency=high

  * Merge branch 'fix/2dnav' into 'humble-devel'
    using pmb2_2dnav
    See merge request robots/pmb2_simulation!55
  * using pmb2_2dnav
  * Merge branch 'robot_state_publisher' into 'humble-devel'
    remove robot_state_publisher from pmb2_spawn
    See merge request robots/pmb2_simulation!53
  * remove robot_state_publisher from pmb2_spawn
  * Contributors: Jordan Palacios, Noel Jimenez, antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-pmb2-gazebo (4.0.1-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 30 Nov 2022 00:00:00 -0000

ros-humble-pmb2-gazebo (4.0.0-1jammy) jammy; urgency=high

  * Merge branch 'refactor_simulation_launchers' into 'humble-devel'
    Refactor simulation launchers
    See merge request robots/pmb2_simulation!50
  * move navigation to simulation launcher
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 08 Nov 2022 00:00:00 -0000

ros-humble-pmb2-gazebo (3.0.3-1jammy) jammy; urgency=high

  * Merge branch 'add_missing_dep' into 'humble-devel'
    add missing dependency
    See merge request robots/pmb2_simulation!47
  * add missing dependency
  * Merge branch 'cleanup' into 'humble-devel'
    Update package.xml deps
    See merge request robots/pmb2_simulation!46
  * update package.xml deps
  * Merge branch 'refactor_launch_files' into 'humble-devel'
    Refactor ld population
    See merge request robots/pmb2_simulation!42
  * refactor LaunchDescription population
  * Merge branch 'update_copyright' into 'humble-devel'
    Update copyright and license
    See merge request robots/pmb2_simulation!41
  * update copyright and license
  * Merge branch 'update_maintainers' into 'humble-devel'
    update maintainers
    See merge request robots/pmb2_simulation!40
  * update maintainers
  * Merge branch 'run_tests' into 'humble-devel'
    fix linter errors
    See merge request robots/pmb2_simulation!39
  * linters
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-humble-pmb2-gazebo (3.0.2-1jammy) jammy; urgency=high

  * Add gazebo_ros2_control dependency
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Oct 2021 00:00:00 -0000

ros-humble-pmb2-gazebo (3.0.1-1jammy) jammy; urgency=high

  * Resolve missing dependency
  * Merge branch 'foxy_obstacle_avoidance' into 'foxy-devel'
    default world
    See merge request robots/pmb2_simulation!33
  * default world
  * Contributors: Noel Jimenez Garcia, Victor Lopez, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 13 Aug 2021 00:00:00 -0000

ros-humble-pmb2-gazebo (3.0.0-1jammy) jammy; urgency=high

  * Cleanup old launch files
  * Correct python launch file
  * Add ament and apply corrections
  * Cleanup
  * Cleanup pmb2_gazebo spawn
  * Path fixes for gazebo
  * First gazebo launch with ROS2
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 20 Jul 2021 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.24-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 13 Jan 2021 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.23-1jammy) jammy; urgency=high

  * Merge branch 'rename_tf_prefix' into 'erbium-devel'
    Rename tf_prefix to robot_namespace
    See merge request robots/pmb2_simulation!30
  * Rename tf_prefix to robot_namespace
  * Contributors: davidfernandez, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 30 Jul 2020 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.22-1jammy) jammy; urgency=high

  * Merge branch 'add-more-gz-args' into 'erbium-devel'
    Add more gz args to use other worlds or models
    See merge request robots/pmb2_simulation!29
  * Add more gz args to use other worlds or models
  * Contributors: Victor Lopez, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 14 Apr 2020 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.21-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 03 Apr 2020 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.20-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 19 Mar 2020 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.19-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 22 Oct 2019 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.18-1jammy) jammy; urgency=high

  * Merge branch 'refactoring' into 'erbium-devel'
    removed public launches in favor of using public_sim flag
    See merge request robots/pmb2_simulation!23
  * removed joystick teleop
  * Contributors: Procópio Stein, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 14 Oct 2019 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.17-1jammy) jammy; urgency=high

  * Merge branch 'remove-sonar-cloud' into 'erbium-devel'
    remove sonar cloud
    See merge request robots/pmb2_simulation!21
  * remove sonar cloud
  * Contributors: Procópio Stein, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 10 Oct 2019 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.16-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 10 Oct 2019 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.15-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 10 Oct 2019 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.14-1jammy) jammy; urgency=high

  * Merge branch 'remove-speed-limit' into 'erbium-devel'
    removed speed limit
    See merge request robots/pmb2_simulation!20
  * removed remap of twist_mux topic
  * removed speed limit
  * Contributors: Procópio Stein, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 25 Sep 2019 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.13-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 23 Sep 2019 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.12-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 14 Aug 2019 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.11-1jammy) jammy; urgency=high

  * Merge branch 'multi_pmb2' into 'erbium-devel'
    Changes for multi pmb2 simulation
    See merge request robots/pmb2_simulation!17
  * Fix parameters in multi pmb2 simulation
  * Changes for multi pmb2 simulation
  * Contributors: Adria Roig, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 01 Aug 2019 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.10-1jammy) jammy; urgency=high

  * Merge branch 'simple_sim' into 'erbium-devel'
    Add simple pmb2 model in launch files
    See merge request robots/pmb2_simulation!16
  * Missing simple_models_gazebo depend
  * Add simple pmb2 model in launch files
  * Contributors: Adria Roig, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 02 Jul 2019 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.9-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Jun 2019 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.8-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 20 May 2019 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.7-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 01 Feb 2019 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.6-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 25 Jan 2019 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.5-1jammy) jammy; urgency=high

  * Merge branch 'args_fix' into 'erbium-devel'
    fix for unused arg exception with pass_all_args
    See merge request robots/pmb2_simulation!11
  * fix for unused arg exception with pass_all_args
  * Contributors: Sai Kishor Kothakota, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 23 Jan 2019 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.4-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 17 Jan 2019 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.3-1jammy) jammy; urgency=high

  * Merge branch 'specifics-refactor' into 'erbium-devel'
    Change robot for laser_model
    See merge request robots/pmb2_simulation!9
  * Add and pass all arguments
  * Remove unused argument
  * Change robot for laser_model
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Dec 2018 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 25 Jul 2018 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.1-1jammy) jammy; urgency=high

  * Add recording arguments
  * Merge branch 'prevent-upload-warning' into 'erbium-devel'
    prevent calling deprecated launch file
    See merge request robots/pmb2_simulation!7
  * prevent calling deprecated launch file
  * Contributors: Hilario Tome, Jordi Pages, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 17 Jul 2018 00:00:00 -0000

ros-humble-pmb2-gazebo (2.0.0-1jammy) jammy; urgency=high

  * Use pal_gazebo_worlds
  * tmp addition of 'pal_robot_info' in spawn launch
  * Contributors: Jeremie Deray, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 05 Feb 2018 00:00:00 -0000

ros-humble-pmb2-gazebo (1.0.1-1jammy) jammy; urgency=high

  * refs #14797. Add public_sim argument
  * add tiago_support as maintainer
  * Contributors: Jordi Pages

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 28 Feb 2017 00:00:00 -0000

ros-humble-pmb2-gazebo (1.0.0-1jammy) jammy; urgency=high

  * Add missing gazebo_plugins dependency
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 20 Apr 2016 00:00:00 -0000

ros-humble-pmb2-gazebo (0.9.7-1jammy) jammy; urgency=high

  * Update simulation hardware abstraction dependence
  * rm ususless launch
  * rm sim dock launch as it doesn,t exist yet
  * Contributors: Jeremie Deray, Sam Pfeiffer

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 15 Apr 2016 00:00:00 -0000

ros-humble-pmb2-gazebo (0.9.6-1jammy) jammy; urgency=high

  * use robot default
  * removed worlds that should be there!
  * Contributors: Jeremie Deray

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Feb 2016 00:00:00 -0000

ros-humble-pmb2-gazebo (0.9.5-1jammy) jammy; urgency=high

  * Don't install deleted file
  * Remove dependency of removed package
  * Remove scripts
  * Update maintainer
  * Remove sensors script reference
  * Contributors: Bence Magyar

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 27 Oct 2015 00:00:00 -0000

ros-humble-pmb2-gazebo (0.9.4-1jammy) jammy; urgency=high

  * Make rgbd camera fixed
  * Use full robot by default
  * Contributors: Enrique Fernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 18 Feb 2015 00:00:00 -0000

ros-humble-pmb2-gazebo (0.9.3-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 03 Feb 2015 00:00:00 -0000

ros-humble-pmb2-gazebo (0.9.2-1jammy) jammy; urgency=high

  * Replace ant -> pmb2
  * Rename files
  * Contributors: Enrique Fernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 02 Feb 2015 00:00:00 -0000


